# Asterisk Project : Asterisk 13 Application_BackGround

Created by wikibot on Aug 08, 2014

# BackGround()

### Synopsis

Play an audio file while waiting for digits of an extension to go to.

### Description

This application will play the given list of files (do not put extension) while waiting for an extension to be dialed by the calling channel. To continue waiting for digits after this application has finished playing files, the `WaitExten` application should be used.

If one of the requested sound files does not exist, call processing will be terminated.

This application sets the following channel variable upon completion:

- `BACKGROUNDSTATUS` - The status of the background attempt as a text string.
  - SUCCESS
  - FAILED

### Syntax

    BackGround(filename1&[filename2[&...]],[options,[langoverride,[context]]])

##### Arguments

- `filenames`
  - `filename1`
  - `filename2`
- `options`
  - `s` - Causes the playback of the message to be skipped if the channel is not in the `up` state (i.e. it hasn't been answered yet). If this happens, the application will return immediately.
  - `n` - Don't answer the channel before playing the files.
  - `m` - Only break if a digit hit matches a one digit extension in the destination context.
- `langoverride` - Explicitly specifies which language to attempt to use for the requested sound files.
- `context` - This is the dialplan context that this application will use when exiting to a dialed extension.

### See Also

- Asterisk 13 Application_ControlPlayback
- Asterisk 13 Application_WaitExten
- Asterisk 13 Application_BackgroundDetect
- Asterisk 13 Function_TIMEOUT

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538